'use strict';

import conf from '../config';
import knexJs from 'knex';
import B from 'bluebird';
import R from 'ramda';
import buildSchema from './schema';

const knex = knexJs(conf.db);
const schema = buildSchema(knex);

export default () => {
	return B.map(R.toPairs(schema), ([table_name, constructor]) => {
		return knex.schema.createTable(table_name, constructor);
	})
	.then(() => {
		console.log('Script completed without problem.');
		process.exit(0);
	});
};
