'use strict';

import B from 'bluebird';
import R from 'ramda';
import conf from '../config';
import knexJs from 'knex';
import schemaInjectable from './schema';

const knex = knexJs(conf.db);
const schema = schemaInjectable(knex);

export default () => {
	B
	.map(R.keys(schema), (table_name) =>
		knex.schema.dropTableIfExists(table_name)
	)
	.then(() => {
		console.log('Removed all tables from db.');
		process.exit(0);
	});
};
