'use strict';

/**
 * A form proxy is a form that only acts upon another form. This can be handy
 * if you want to have a different view for creating entries vs displaying 
 * them. e.g., An inital capture form.
 *
 * It inherits the translations from the master form.
 */
export default (table) => {
	// system name of the proxy form. ie, not translatable.
	table.text('form_system_name');
	// parent form system name
	table.text('form_parent');
	// the field system name of the parent that the proxy inherits from.
	table.text('form_field');
};
