'use strict';
/**
 * For some reason promisify doesn't work as expected on these. I suspect it
 * has to do with this module being a node extension.
 */
const B = require('bluebird');
const bcrypt = require('bcrypt');

export default {
	hash(str, rounds) {
		return new B((resolve, reject) => {
			bcrypt.genSalt(rounds, (err, salt) => {
				if(err) {
					return reject(err);
				}
				bcrypt.hash(str, salt, (err, res) => {
					if(err) {
						reject(err);
					} else {
						resolve(res);
					}
				});
			});
		});
	},
	compare(str, hashed) {
		return new B((resolve, reject) => {
			bcrypt.compare(str, hashed, (err, res) => {
				if(err) {
					reject(err);
				} else {
					resolve(res);
				}
			});
		});
	}
};

