'use strict';

import conf from '../../lib/config';
import knexJs from 'knex';
import userStoreInjectable from '../../lib/store/user';

const knex = knexJs(conf.db);
const userStore = userStoreInjectable(knex);

export default () => {
	return userStore
		.find('name', 'foobar')
		.then((user) => {
			if(!user) {
				return userStore
					.create('foobar', 'foo@bar.com', 'foobar', ['default'], true);
			}
		});
};
