'use strict';

/**
 * Already instantiated `with-login` which always returns a mock user instance.
 */
const R = require('ramda');

module.exports = R.curry((mockUser, wrap) => {

	const wrapFn = (fn) => {
		return (...args) => {
			return fn.apply(this, R.prepend(mockUser, args));
		};
	};
	if(typeof wrap === 'function') {
		return wrapFn(wrap);
	}
	return R.map(wrapFn, wrap);
});
