'use strict';

import '../../globals';
import cacheEventBusInjectable from '../../../lib/components/cache-event-bus';

describe('cache-event-bus', (t) => {
	before(() => {
		return cacheEventBusInjectable().then((eventBus) => {
			t.events = eventBus;
		});
	});

	it('should run without throwing some odd error', () => {
		t.events.publish({
			type: 'gretting',
			event: 'create',
			value: 'hello world!'
		});
	});

	it('should be able to receive its own messages', (done) => {
		t.events.on('create:greeting', (msg) => {
			expect(msg.value).to.be.equal('hello world!');
			done();
		});
		t.events.publish({
			type: 'greeting',
			event: 'create',
			value: 'hello world!'
		});
	});
});
